Bug 208126 - GAIM fails using http proxy (unlike firefox and yum which work fine)
GAIM fails using http proxy (unlike firefox and yum which work fine)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
bzcl34nup
:
: 233458 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 11:53 EDT by das_deniz
Modified: 2008-05-06 12:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description das_deniz 2006-09-26 11:53:31 EDT
Description of problem:

gaim accounts (yahoo, aim, jabber, msn) all fail to properly use http_proxy

Version-Release number of selected component (if applicable):

gaim-2.0.0-0.11.beta3.fc6

How reproducible:

always

1) can say 'Use Global Proxy Settings' - but there is no place to set GAIM
global proxy settings... so i tried the gnome System -> Preferences -> Network
Proxy ... and used the same automatic proxy url i use for firefox - and that failed.

2) i tried to use 'environmental settings' expecting it to work with
http_proxy=http://<host>:<port> and that not only failed but reverted to 'no
proxy' the next time i went to modify the account proxy setting.

3) i tried to enter the <host> <port> explicitly for each account.

Steps to Reproduce:
1. use gaim behind a http proxy / firewall
2.
3.
  
Actual results:

using explicit "http" host and port settings i see:

msn - connection error from Notification server: writing error
yahoo - unable to read
jabber - Proxy connection error 502 
aim - Proxy connection error 502

Expected results:

these to work. as the native clients do on windows with the http proxy

Additional info:
Comment 1 Mark Doliner 2006-09-26 12:21:07 EDT
I think I've fixed in this in our Subversion repo already, and it should be
fixed in beta 4 when it's released.  But please let me know if you still have
problems using that version.
Comment 2 das_deniz 2006-09-29 11:14:41 EDT
i've downloaded gaim from svn thrusday sep 28 ~8pm EDT
built it and installed it (./configure prefix=/opt/gaim)
i rpm -e gaim to make sure the old one is gone and ran
/opt/gaim/bin/gaim... cannot use http proxy with this for

yahoo, aim, or jabber/gtalk, HOWEVER MSN WORKS !!! 

so there is some progress. please allow me to test any fixes
you add to svn - but i can only update in the evenings as the
svn http proxy support does not work for me either :(
Comment 3 Mark Doliner 2006-09-29 12:26:36 EDT
What proxy server are you using?  Do you get an error message when you try to
use Yahoo, AIM, and Jabber/GTalk?  What does it say?  Can you open the debug
window and try to sign on and attach the last 20 lines or so (feel free to edit
out any screen names, etc.)?
Comment 4 Mark Doliner 2006-09-29 12:31:34 EDT
I find myself wondering if your proxy server is configured to not allow the type
of traffic needed to proxy the other protocols.  Does HTTPS work through your
proxy?  The easiest way to get stuff working in squid is to comment out the line
http_access deny CONNECT !SSL_ports

Or you could try adding 5190 to the list of SSL_ports.
Comment 5 das_deniz 2006-09-29 15:28:45 EDT
right - i'll try to get debug information.

keep in mind that the proxy server works for http and https with firefox, with
http for yum, and with https for svn (proxy info in the global, *not* group1,
server section duh.)...

sweet, i was able to checkout a new version of gaim at work - now i'll go build
it and get you some debug info.
Comment 6 das_deniz 2006-09-29 16:45:28 EDT
so from the packet traces i obtained it looks like https proxy support is
screwing up for aim and jabber (note also that when i try to use the old 5223
port instead of 5222 in the jabber settings it still uses 5222)

jabber:

proxy: Attempting connection to TODO
proxy: Connecting to talk.google.com:5222 via proxyserver.enterasys.com:80 using
HTTP
proxy: Connection in progress
proxy: Connected.
proxy: Using CONNECT tunneling for talk.google.com:5222
proxy: Proxy server replied with:
HTTP/1.1 502 Proxy Error ( The specified Secure Sockets Layer (SSL) port is not
allowed. ISA Server is not configured to allow SSL requests from this port. Most
Web browsers use port 443 for SSL requests.  )

AIM:

proxy: Attempting connection to TODO
proxy: Connecting to login.oscar.aol.com:5190 via proxyserver.enterasys.com:80
using HTTP
proxy: Connection in progress
proxy: Connected.
proxy: Using CONNECT tunneling for login.oscar.aol.com:5190
proxy: Proxy server replied with:
HTTP/1.1 502 Proxy Error ( The specified Secure Sockets Layer (SSL) port is not
allowed. ISA Server is not configured to allow SSL requests from this port. Most
Web browsers use port 443 for SSL requests.  )


but for yahoo it behaves as if the proxy is fine - but the http packet flow just
stops.

proxy: Attempting connection to TODO
proxy: Connecting to scs.msg.yahoo.com:80 via proxyserver.enterasys.com:80 using
HTTP
proxy: Connection in progress
proxy: HTTP proxy connection established

and eventually this account connection times out.
Comment 7 Stu Tomlinson 2006-09-29 16:52:49 EDT
This is mostly a problem with the configuration of your proxy blocking the sorts
of connections Gaim needs to make to use it (most IM protocols are not actually
http based, so need to be tunnelled over 'CONNECT' with http proxies)

For AIM you should be able to change the port to 443 in the advanced tab of
account options. This may also work for Google Talk too.

I forget what the problem with yahoo and http proxies is, that may in fact be a
bug in Gaim.
Comment 8 das_deniz 2006-09-29 17:43:24 EDT
excellent. AIM with 443 instead of 5190 works.
jabber and yahoo do not work with this tweak however....
i did talk to our proxy admin and they claim they've 
locked down the other 'ssl' ports to prevent 'tunneling' - yawn.

if you have any lights go off about yahoo i'd be happy to hear about it.
Comment 9 Andrew Benham 2006-12-01 08:27:25 EST
There's something new in Gaim which doesn't work as I'd expect, having upgraded
a home machine from FC5 to FC6.

My GNOME Network Proxy setting is to use automatic proxy configuration (i.e.
a proxy.pac file).  This is a JavaScript file, loaded with a file:// URI.

Gaim doesn't like this at all, and refuses to talk to any of the IM servers
having thrown an error for each account.

I don't need any proxies for IM (the proxy.pac file is there to allow me to
tunnel  requests for work URIs which are not globally visable).  Fortunately I
can change the "proxy type" for each account in Gaim to "none", but I didn't
have to do this before.
Comment 10 Don Hoover 2007-03-22 11:34:09 EDT
The proxy support in the new GAIM 2.0 in RHEL5 is BROKEN BIG TIME....  I run
GAIM 1.5 on the same box, it works FINE, fire up the RHEL5 2.0 version and it
gets proxy errors and seems really really broken.


RedHat should have stayed with the current production version of GAIM
1.5.x....GAIM 2.0 is not even out yet.
Comment 11 Mark Doliner 2007-03-22 12:43:05 EDT
Don Hoover: Can you be more specific?  What error messages are you getting? 
What type of proxy are you using?  What IM networks are you trying to connect
to?  Could you open the debug window, try to sign on, then copy and paste the
output from the debug window to this bug report?
Comment 12 Warren Togami 2007-03-22 13:09:29 EDT
*** Bug 233458 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2008-04-03 23:51:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 12:24:56 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.